#ifndef ROBODOC_ITEMS_H
#define ROBODOC_ITEMS_H


/****t* Items/ItemTypes 
 * NAME 
 *   ItemTypes -- enumeration of item types
 * FUNCTION
 *   Defines a number of item types. There are two kind of items: the
 *   SOURCE item which is always available and items defined by the
 *   user (or through the default items).
 * SOURCE
 */

enum ItemType { POSSIBLE_ITEM = -2, NO_ITEM = -1, SOURCE_ITEM = 0, OTHER_ITEM };

/*****/

int                 RB_Get_Item_Type( char * );
int                 RB_Get_Item_Attr( char *cmp_name );
enum ItemType       RB_Is_ItemName( char *line );
int                 RB_Ignore_Last_Item( void );
char*               RB_Get_Item_Name( void );

#endif /* ROBODOC_ITEMS_H */
